Download it now!
Bug 88442 - Global of struct type behave as local variables
Summary: Global of struct type behave as local variables
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 88092
  Show dependency treegraph
 
Reported: 2015-01-15 06:40 UTC by Lionel Elie Mamane
Modified: 2019-12-03 14:30 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
reproduction example (12.16 KB, application/vnd.oasis.opendocument.text)
2015-01-15 06:40 UTC, Lionel Elie Mamane
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lionel Elie Mamane 2015-01-15 06:40:37 UTC
Created attachment 112267 [details]
reproduction example

+++ This bug was initially created as a clone of Bug #88092 +++

Reproduction instructions:

1. Open attached document, allowing macros to run.

2. Click "Set Struct" button. Click "OK" on the message boxes appearing.

3. Click "Set Show Struct" button.

Actual behaviour:

  In execution of doShow from the button event (that is, after doSet has
  finished executing), aStr keeps the value assigned to it by doSet,
  but aDate is reset to default (all zeros) value.

Expected behaviour:

  Since aDate is a global, it should keep the value that was assigned
  to it by doSet.


The same can be observed by going in the Basic IDE and running (F5 or the toolbar button) the macros from there.
Comment 1 Buovjaga 2015-01-17 13:17:10 UTC
Repro on Win & Linux.

Changed component to BASIC, I hope it's ok.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 5f6bdce0c0ac687f418821ce328f2987bf340cda
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-17_01:06:46

Ubuntu 14.10 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 2 QA Administrators 2016-02-21 08:35:50 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2017-03-06 15:22:16 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2019-12-03 14:30:00 UTC
Dear Lionel Elie Mamane,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug